%define rversion 8.2112.0

Name:           rsyslog
Version:        8.2204.1
Release:        %mkrel 3
Summary:        Enhanced system logging and kernel message trapping daemon

License:        GPLv3+
Group:          System/Servers
URL:            http://www.rsyslog.com/
Source0:        %{name}-%{rversion}.tar.xz
Source1:        %{name}.conf
Source2:        %{name}.init
Source3:        %{name}.logrotate
Source4:        %{name}.sysconfig

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	lib64curl-devel
BuildRequires:	lib64estr-devel
BuildRequires:	lib64fastjson-devel >= 0.99.8
BuildRequires:  lib64gcrypt-devel
BuildRequires:  lib64gnutls-devel
BuildRequires:  lib64logging-devel
BuildRequires:	lib64mariadb-devel
BuildRequires:	lib64net-snmp-devel
BuildRequires:  lib64relp-devel
BuildRequires:	lib64uuid-devel
BuildRequires:	postgresql13-devel
BuildRequires:	python-docutils
BuildRequires:	zlib1-devel
Requires(post):	rpm-helper
Requires(preun):rpm-helper
Requires:       logrotate
Requires:       lib64gnutls30
Provides:       syslog-daemon

%description
Rsyslog is an enhanced, multi-threaded syslog daemon. It supports MySQL,
syslog/TCP, RFC 3195, permitted sender lists, filtering on any message part,
and fine grain output format control. It is compatible with stock sysklogd
and can be used as a drop-in replacement. Rsyslog is simple to set up, with
advanced features suitable for enterprise-class, encryption-protected syslog
relay chains.

%prep
%setup -qn %{name}-%{rversion}

%build
./autogen.sh
%serverbuild
%configure2_5x \
  --enable-mysql \
  --enable-pgsql \
  --enable-mail \
  --enable-imfile \
  --enable-snmp \
  --enable-gnutls \
  --enable-inet \
  --enable-relp \
  --enable-impstats \
  --enable-imptcp \
  --enable-omprog \
  --with-systemdsystemunitdir=no
%make_build

%install
%makeinstall_std
%__install -Dm 644 %{S:1} %{buildroot}%{_sysconfdir}/%{name}.conf
%__install -Dm 744 %{S:2} %{buildroot}%{_initrddir}/%{name}
%__install -Dm 644 %{S:3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
%__install -Dm 644 %{S:4} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%__install -dm 755 %{buildroot}%{_sysconfdir}/%{name}.d
%__install -dm 755 %{buildroot}/var/lib/%{name}
%__rm -f %{buildroot}%{_libdir}/rsyslog/{imdiag.so,liboverride_gethostname.so}
find %{buildroot} \( -iname \*.a -o -iname \*.la \) -delete

%post
for n in /var/log/{messages,syslog,{auth,user,boot,draxtools,mail/*,cron/*,kernel/*,daemons/*}.log}; do
  if [ -f $n ]; then
    chmod 0640 $n && touch $n
  fi
done
%_post_service rsyslog
chkconfig rsyslog reset

%preun
%_preun_service rsyslog

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_initddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%dir %{_sysconfdir}/%{name}.d
%{_libdir}/%{name}
%{_sbindir}/rsyslogd
%{_mandir}/man*/%{name}*
%{_localstatedir}/lib/%{name}

%changelog
* Sun Oct 09 2022 tex - 8.2204.1-3pclos2022
- rebuild against updates

* Sat May 21 2022 tex - 8.2204.1-2pclos2022
- back down to 8.2112.0

* Fri May 20 2022 tex - 8.2204.1-1pclos2022
- new version

